
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VIMAN_SCAN_H
#define VIMAN_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/viamTclservClientDecode.h"

#include "server/tclservClient/genManipTclservClientDecode.h"

#include "server/tclservClient/genBasicTclservClientDecode.h"


/* Structures du module */
#include "server/vimanPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR (char** buf, struct VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_VIMAN_OBJECTPOSE_POSTER_STR (char** buf, struct VIMAN_OBJECTPOSE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR (char** buf, struct VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR (char** buf, struct VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_VIMAN_STR (char** buf, struct VIMAN_STR *x, int nDim, int *dims );
int scan_buf_struct_VimanImage (char** buf, struct VimanImage *x, int nDim, int *dims );
int scan_buf_struct_VimanInitStr (char** buf, struct VimanInitStr *x, int nDim, int *dims );
int scan_buf_enum_VimanInputStream (char** buf, enum VimanInputStream *x, int nDim, int *dims );
int scan_buf_struct_VimanObjectPublicArray (char** buf, struct VimanObjectPublicArray *x, int nDim, int *dims );
int scan_buf_struct_VimanObjectArray (char** buf, struct VimanObjectArray *x, int nDim, int *dims );
int scan_buf_struct_VimanObjectPublic (char** buf, struct VimanObjectPublic *x, int nDim, int *dims );
int scan_buf_enum_VimanObjSymMotion (char** buf, enum VimanObjSymMotion *x, int nDim, int *dims );
int scan_buf_struct_VimanTime (char** buf, struct VimanTime *x, int nDim, int *dims );
int scan_buf_struct_VimanObject (char** buf, struct VimanObject *x, int nDim, int *dims );
int scan_buf_enum_VimanBool (char** buf, enum VimanBool *x, int nDim, int *dims );
int scan_buf_struct_VimanEuler (char** buf, struct VimanEuler *x, int nDim, int *dims );
int scan_buf_struct_VimanThetaMat (char** buf, struct VimanThetaMat *x, int nDim, int *dims );
int scan_buf_struct_VimanPoint2D (char** buf, struct VimanPoint2D *x, int nDim, int *dims );
int scan_buf_struct_VimanCorrectionVec (char** buf, struct VimanCorrectionVec *x, int nDim, int *dims );
int scan_buf_struct_VimanMotionMat (char** buf, struct VimanMotionMat *x, int nDim, int *dims );
int scan_buf_struct_VimanString (char** buf, struct VimanString *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_VimanString (char** buf, VimanString *x, int nDim, int *dims );
int scan_buf_VimanMotionMat (char** buf, VimanMotionMat *x, int nDim, int *dims );
int scan_buf_VimanCorrectionVec (char** buf, VimanCorrectionVec *x, int nDim, int *dims );
int scan_buf_VimanPoint2D (char** buf, VimanPoint2D *x, int nDim, int *dims );
int scan_buf_VimanThetaMat (char** buf, VimanThetaMat *x, int nDim, int *dims );
int scan_buf_VimanEuler (char** buf, VimanEuler *x, int nDim, int *dims );
int scan_buf_VimanBool (char** buf, VimanBool *x, int nDim, int *dims );
int scan_buf_VimanObject (char** buf, VimanObject *x, int nDim, int *dims );
int scan_buf_VimanTime (char** buf, VimanTime *x, int nDim, int *dims );
int scan_buf_VimanObjSymMotion (char** buf, VimanObjSymMotion *x, int nDim, int *dims );
int scan_buf_VimanObjectPublic (char** buf, VimanObjectPublic *x, int nDim, int *dims );
int scan_buf_VimanObjectArray (char** buf, VimanObjectArray *x, int nDim, int *dims );
int scan_buf_VimanObjectPublicArray (char** buf, VimanObjectPublicArray *x, int nDim, int *dims );
int scan_buf_VimanInputStream (char** buf, VimanInputStream *x, int nDim, int *dims );
int scan_buf_VimanInitStr (char** buf, VimanInitStr *x, int nDim, int *dims );
int scan_buf_VimanImage (char** buf, VimanImage *x, int nDim, int *dims );
int scan_buf_VIMAN_STR (char** buf, VIMAN_STR *x, int nDim, int *dims );
int scan_buf_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR (char** buf, VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x, int nDim, int *dims );
int scan_buf_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR (char** buf, VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x, int nDim, int *dims );
int scan_buf_VIMAN_OBJECTPOSE_POSTER_STR (char** buf, VIMAN_OBJECTPOSE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR (char** buf, VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* VIMAN_SCAN_H */

